import request from '@/utils/request';
//查询本地和备份空间结构树
export function listLocalAndBackup(params:any) {
    return request({
        url: '/experimentalData/ts-files/listLocalAndBackup',
        method: 'post',
        params:params,
    });
}
//查询本地结构树
export function listLocalTree(params:any) {
    return request({
        url: '/experimentalData/ts-files/listLocalTree',
        method: 'post',
        params:params,
    });
}
//查询工作空间结构树
export function listBackupTree(params:any) {
    return request({
        url: '/experimentalData/ts-files/listBackupTree',
        method: 'post',
        params:params,
    });
}
//对比两个目录的文件差异
export function compare(params:any) {
    return request({
        url: '/experimentalData/ts-files/compare',
        method: 'post',
        params:params,
    });
}
//将文件上传到备份空间
export function uploadToBackup(params:any) {
    return request({
        url: '/experimentalData/ts-files/uploadToBackup',
        method: 'post',
        data:params,
    });
}
//从备份空间下载到工作空间
export function downloadToLocal(params:any) {
    return request({
        url: '/experimentalData/ts-files/downloadToLocal',
        method: 'post',
        data:params,
    });
}
//根据ID删除试验数据管理文档内容
export function deleteTsFilesById(params:any) {
    return request({
        url: '/experimentalData/ts-files/deleteTsFilesById',
        method: 'post',
        params:params,
    });
}
//所有文件备份到备份空间
export function automaticFileBackup(params:any) {
    return request({
        url: '/experimentalData/ts-files/automaticFileBackup',
        method: 'post',
        params:params,
    });
}
export function automaticFileBackupByIds(params:any) {
    return request({
        url: '/experimentalData/ts-files/automaticFileBackupByIds',
        method: 'post',
        params:params,
    });
}
//获取url
export function obtainUrl(params:any) {
    return request({
        url: '/experimentalData/ts-files/obtainUrl',
        method: 'post',
        params:params,
    });
}
//文件差异-新增
export function compareLocal(params:any) {
    return request({
        url: '/experimentalData/ts-files/compareLocal',
        method: 'post',
        params:params,
    });
}
//文件差异变更
export function compareMd5(params:any) {
    return request({
        url: '/experimentalData/ts-files/compareMd5',
        method: 'post',
        params:params,
    });
}
//文件差异-缺失
export function compareMinio(params:any) {
    return request({
        url: '/experimentalData/ts-files/compareMinio',
        method: 'post',
        params:params,
    });
}
//文件差异-新增全部
export function compareLocalList(params:any) {
    return request({
        url: '/experimentalData/ts-files/compareLocalList',
        method: 'post',
        params:params,
    });
}
//文件差异变更全部
export function compareMd5List(params:any) {
    return request({
        url: '/experimentalData/ts-files/compareMd5List',
        method: 'post',
        params:params,
    });
}
//文件差异-缺失全部
export function compareMinioList(params:any) {
    return request({
        url: '/experimentalData/ts-files/compareMinioList',
        method: 'post',
        params:params,
    });
}
//获取异步
export function automaticFileBackupData(params:any) {
    return request({
        url: '/experimentalData/ts-files/automaticFileBackupData',
        method: 'post',
        params:params,
    });
}
